package com.huiju.estateagents.property.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.property.model.TpTicketRecord;
import com.huiju.estateagents.property.model.TpTicketRecordComment;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物业端工单追问表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-02-14
 */
@Mapper
public interface TpTicketRecordCommentMapper extends BaseMapper<TpTicketRecordComment> {

    /**
     * 根据工单ID,最新的几条 查询出最新的追答记录
     *
     *  size 表示最新几条
     *  tickerId 工单ID
     *
     * @param map
     * @return
     */
    List<TpTicketRecordComment> selectByTicketId(Map map);

    /**
     * 查询出这个处理撞他下所有的回复数据
     * @param tpTicketRecord
     * @return
     */
    List<TpTicketRecordComment> selectByTicketRecordId(TpTicketRecord tpTicketRecord);

}
