package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.TpShop;

/**
 * <p>
 * 小区商铺表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
public interface ITpShopService extends IService<TpShop> {
	
	/**
	 * 根据条件查询商铺列表
	 * @param id
	 * @param shopName
	 * @param shopTypeId
	 * @param shopStatus
	 * @param userElement
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	ResponseBean getShopList(Integer id, String shopName, Integer shopTypeId, String shopStatus, TaUser userElement, Integer pageNum, Integer pageSize);
	
	/**
	 * 保存商铺
	 * @param shop
	 * @param userElement
	 * @return
	 */
	ResponseBean saveShop(TpShop shop, TaUser userElement);
	
	/**
	 * 获取商铺信息
	 * @param id
	 * @return
	 */
	TpShop getShopById(Integer id);
	
	/**
	 * 更新商铺信息
	 * @param shop
	 * @param userElement
	 * @return
	 */
	ResponseBean updateShop(TpShop shop, TaUser userElement);
}
